@import "../styles/animations.css";

.mainFirstSection {
}

.mainFirstSectionContainer {
  background: var(--blue-purple-gradient);

  @media screen and (min-width: 768px) {
    display: flex;
    padding-right: 0px;
  }
}

.mainFirstSectionItem {
}

.mainFirstSectionItem:first-child {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  padding: 56px 12px;

  @media screen and (min-width: 768px) {
    width: 50%;

    padding: 0px 72px 0px 0px;
    justify-content: center;
  }
}

.mainFirstTitle {
  text-transform: uppercase;

  @media screen and (min-width: 1024px) {
    font-size: 38px;
    /*line-height: 30px;*/
    letter-spacing: 0em;
  }

  @media screen and (min-width: 1440px) {
    font-size: 56px;
    line-height: 64px;
    letter-spacing: 0em;
  }
}

.mainFirstDescription {
  width: 280px;
  margin-top: 16px;

  font-family: Futura PT;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0em;
  text-align: left;

  color: var(--light-blue-color);

  @media screen and (min-width: 1440px) {
    width: 522px;

    margin-top: 40px;

    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
    text-align: left;
  }

  opacity: 0;

  animation: opacityAnimation;
  animation-duration: 500ms;
  animation-timing-function: ease-in-out;
  animation-delay: 250ms;
  animation-fill-mode: forwards;
}

.mainFirstButton {
  display: flex;
  align-items: center;

  margin-top: 40px;
  padding: 10px 12px 10px 16px;

  background-color: var(--purple-color);

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;
  text-align: center;
  color: var(--white-color);

  transition: background-color var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1440px) {
    margin-top: 80px;

    font-size: 16px;
    line-height: 24px;
    letter-spacing: -0.01em;
  }
}

.mainFirstButton:hover {
  background-color: var(--purple-hover-color);
}

.mainFirstButtonIcon {
  display: flex;
  align-items: center;
  width: 16px;
  height: 16px;
  margin-left: 8px;
  stroke: var(--white-color);

  @media screen and (min-width: 1440px) {
    width: 24px;
    height: 24px;
  }
}

.mainFirstSectionItem:last-child {
  margin-left: -12px;
  margin-right: -12px;
  
    @media screen and (min-width: 768px) {
        width: 55%;
      margin-left: 0px;
    margin-right: 0px;
  }

  @media screen and (min-width: 1440px) {
    margin-left: 0px;
    margin-right: 0px;
  }
}

.mainFirstImageBox {
  display: flex;
  flex-direction: column;
    @media screen and (min-width: 768px) {
        width: 100%;
     
  }
}

.mainFirstImageCirclesWrapper {
  position: relative;
}

.mainFirstImage {
  display: block;
  width: 100%;
  height: auto;
}

.mainFirstImageBoxBottomWrapper {
  display: flex;
  width: 100%;
}

.mainFirstImageBoxBottomBlock {
  position: relative;

  display: flex;
  flex-direction: column;
  align-items: flex-start;

  width: 100%;

  padding: 24px;
  color: var(--white-color);

  @media screen and (min-width: 1440px) {
    padding: 32px;
  }
}

.mainFirstImageBoxBottomBlock::before {
  content: "";
  position: absolute;
  top: 0;
  left: 12px;
  transform: translateY(-100%);

  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid var(--blue-color);

  @media screen and (min-width: 1440px) {
    left: 32px;
    border-left: 48px solid transparent;
    border-right: 48px solid transparent;
    border-bottom: 24px solid var(--blue-color);
  }

  opacity: 0;
  transition: opacity var(--transition-duration) ease-in-out;
}

.mainFirstImageBoxBottomBlock.active::before {
  opacity: 1;
}

.mainFirstImageBoxBottomBlock:first-child {
  background-color: var(--blue-color);
}

.mainFirstImageBoxBottomBlock:last-child {
  background-color: var(--purple-color);
}

.mainFirstImageBoxBottomBlock:last-child::before {
  border-bottom: 10px solid var(--purple-color);
}

.mainFirstImageBoxNumber {
  font-family: TT Firs Neue;
  font-size: 32px;
  font-weight: 500;
  line-height: 40px;
  letter-spacing: -0.01em;
  text-align: left;

  @media screen and (min-width: 1440px) {
    font-size: 56px;
    line-height: 64px;
    letter-spacing: 0em;
  }
}

.mainFirstImageBoxText {
  font-family: Futura PT;
  font-size: 14px;
  font-weight: 400;
  line-height: 16px;
  letter-spacing: 0em;
  text-align: left;

  @media screen and (min-width: 1440px) {
    font-size: 24px;
    line-height: 32px;
  }
}

.mainFirstCircleWrapper {
  position: absolute;

  display: flex;
  align-items: center;
  justify-content: center;

  width: 40px;
  height: 40px;

  border-radius: 50%;

  transition: background-image var(--transition-duration) ease-in-out;
}

.mainFirstCircleWrapper.active {
  background-image: var(--circle-wrapper-gradient);
}

.mainFirstCircleWrapper.first {
  top: 24px;
  left: 24px;

  @media screen and (min-width: 1440px) {
    top: 90px;
    left: 160px;
  }
}
.mainFirstCircleWrapper.last {
  bottom: 24px;
  right: 24px;

  @media screen and (min-width: 1440px) {
    bottom: 105px;
    right: 170px;
  }
}

.mainFirstCircle {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 24px;
  height: 24px;
  border-radius: 50%;

  background: radial-gradient(circle, rgba(255, 255, 255, 0.25956320028011204) 37%, rgba(255, 255, 255, 1) 100%);
}

.mainFirstCircleInner {
  width: 16px;
  height: 16px;
  border-radius: 50%;

  background-color: var(--blue-color);
}

.mainFirstCircleInner.purple {
  background-color: var(--purple-color);
}
